toolzerhub API Docs

Get Instagram post or reel details

Returns the details of one public Instagram post or reel: owner, caption, like_count, comment_count and media. code takes a shortcode, a numeric media ID or the post URL.

2 credits / requestBilled only on success
GET
/v2/instagram/media/info

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

code*string

Shortcode from the post URL (DDPp2UWzWEm in instagram.com/p/DDPp2UWzWEm/), numeric media ID, or the full post or reel URL.

Length1 <= length
curl -X GET "https://example.com/v2/instagram/media/info?code=https%3A%2F%2Fwww.instagram.com%2Freel%2FDHVPQMjSD08%2F" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "code": "string",    "pk": "string",    "id": "string",    "taken_at": 0,    "user": {      "property1": null,      "property2": null    },    "caption": null,    "like_count": 0,    "comment_count": 0,    "property1": null,    "property2": null  }}